Billing Provider

The billing provider is the provider or business entity submitting the claim and represents the person or entity being reimbursed. The billing provider should be the entity contracted with the payer.

The billing provider model


Properties

  • Name
    id
    Type
    string
    Description

    Unique identifier for the billing provider.

  • Name
    object
    Type
    string
    Description

    Always 'billing_provider'.

  • Name
    is_organization
    Type
    boolean
    Description

    Whether this billing provider is an organization.

  • Name
    first_name
    Type
    string
    Description

    Only applies if 'is_organization' is false. First name of billing provider.

  • Name
    last_name
    Type
    string
    Description

    Only applies if 'is_organization' is false. Last name of billing provider.

  • Name
    organization_name
    Type
    string
    Description

    Only applies if 'is_organization' is true. Name of organization.

  • Name
    npi
    Type
    string
    Description

    NPI of billing provider.

  • Name
    taxonomy_code
    Type
    string
    Description

    Taxonomy code of billing provider.

  • Name
    tax_id_type
    Type
    string
    Description

    Type of tax ID.

    Possible values:
    ssn
    ein
  • Name
    tax_id
    Type
    string
    Description

    Tax ID of billing provider. Must be the same tax ID given to the payer on the IRS W-9 form completed during contracting.

  • Name
    address
    Type
    object
    Description
    Address of the billing provider.
  • Name
    phone
    Type
    string
    Description

    Phone number of billing provider, in the format (XXX) XXX-XXXX.

  • Name
    default
    Type
    boolean
    Description

    Whether this billing provider should be set as the default billing provider. By default, all insurance claims and superbills will be populated with the default billing provider and can be changed as the user is completing the claim/superbill.

  • Name
    usable_by
    Type
    object
    Description
    Who can use this billing provider.
  • Name
    created_by
    Type
    string
    Description

    Creator of the billing provider.

  • Name
    created_at
    Type
    date-time
    Description

    Timestamp (in ISO 8601 format) of when the billing provider was created.

  • Name
    last_updated_at
    Type
    date-time
    Description

    Timestamp (in ISO 8601 format) of when the billing provider was last updated.

Response

{
  "id": "bprv_NPAxeKa32I5MbmuvKPAQ",
  "object": "billing_provider",
  "is_organization": true,
  "first_name": null,
  "last_name": null,
  "organization_name": "Avon Co, LLC",
  "npi": "1234567893",
  "taxonomy_code": "207Q00000X",
  "tax_id_type": "ein",
  "tax_id": "123456789",
  "address": {
    "line1": "1 Wall Street",
    "line2": "",
    "city": "New York",
    "state": "NY",
    "postal_code": "10001",
    "country": "US"
  },
  "phone": "(212) 555-0100",
  "default": true,
  "usable_by": {
    "usable_by_all": true
  },
  "created_by": "user_xeDpGyt67wTor93qKtS7",
  "created_at": "2024-04-10T13:20:21.724Z",
  "last_updated_at": "2024-04-10T13:20:21.724Z"
}


POST/v2/billing_providers

Create a billing provider

Creates a new billing provider.

Required attributes

  • Name
    address
    Type
    object
    Description
    Address of the billing provider.

Optional attributes

  • Name
    is_organization
    Type
    boolean
    Description

    Whether this billing provider is an organization.

  • Name
    first_name
    Type
    string
    Description

    Only applies if 'is_organization' is false. First name of billing provider.

  • Name
    last_name
    Type
    string
    Description

    Only applies if 'is_organization' is false. Last name of billing provider.

  • Name
    organization_name
    Type
    string
    Description

    Only applies if 'is_organization' is true. Name of organization.

  • Name
    npi
    Type
    string
    Description

    NPI of billing provider.

  • Name
    taxonomy_code
    Type
    string
    Description

    Taxonomy code of billing provider.

  • Name
    tax_id_type
    Type
    string
    Description

    Type of tax ID.

    Possible values:
    ssn
    ein
  • Name
    tax_id
    Type
    string
    Description

    Tax ID of billing provider. Must be the same tax ID given to the payer on the IRS W-9 form completed during contracting.

  • Name
    phone
    Type
    string
    Description

    Phone number of billing provider, in the format (XXX) XXX-XXXX.

  • Name
    default
    Type
    boolean
    Description

    Whether this billing provider should be set as the default billing provider. Setting this to true clears the default flag on every other billing provider.

  • Name
    usable_by
    Type
    object
    Description
    Who can use this billing provider.

Request

POST
/v2/billing_providers
curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/billing_providers" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}" \
  -H "account: {{account}}" \
  -H "Content-Type: application/json" \
  --data '{
    "is_organization": true,
    "organization_name": "Example",
    "npi": "1234567893",
    "tax_id_type": "ein",
    "tax_id": "123456789",
    "address": {
      "line1": "1 Wall Street",
      "city": "New York",
      "state": "NY",
      "postal_code": "10001",
      "country": "US"
    }
  }'

Response

    {
      "id": "bprv_NPAxeKa32I5MbmuvKPAQ",
      "object": "billing_provider",
      "is_organization": true,
      "first_name": null,
      "last_name": null,
      "organization_name": "Example",
      "npi": "1234567893",
      "taxonomy_code": null,
      "tax_id_type": "ein",
      "tax_id": "123456789",
      "address": {
        "line1": "1 Wall Street",
        "line2": "",
        "city": "New York",
        "state": "NY",
        "postal_code": "10001",
        "country": "US"
      },
      "phone": null,
      "default": false,
      "usable_by": {
        "usable_by_all": true
      },
      "created_by": "user_xeDpGyt67wTor93qKtS7",
      "created_at": "2024-04-10T13:20:21.724Z",
      "last_updated_at": "2024-04-10T13:20:21.724Z"
    }

GET/v2/billing_providers/:id

Retrieve a billing provider

Retrieves the specified billing provider.

Request

GET
/v2/billing_providers/:id
curl "https://{{base_subdomain}}.avonhealth.com/v2/billing_providers/:id" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}" \
  -H "account: {{account}}"

Response

    {
      "id": "bprv_NPAxeKa32I5MbmuvKPAQ",
      "object": "billing_provider",
      "is_organization": true,
      "first_name": null,
      "last_name": null,
      "organization_name": "Avon Co, LLC",
      "npi": "1234567893",
      "taxonomy_code": "207Q00000X",
      "tax_id_type": "ein",
      "tax_id": "123456789",
      "address": {
        "line1": "1 Wall Street",
        "line2": "",
        "city": "New York",
        "state": "NY",
        "postal_code": "10001",
        "country": "US"
      },
      "phone": "(212) 555-0100",
      "default": true,
      "usable_by": {
        "usable_by_all": true
      },
      "created_by": "user_xeDpGyt67wTor93qKtS7",
      "created_at": "2024-04-10T13:20:21.724Z",
      "last_updated_at": "2024-04-10T13:20:21.724Z"
    }

POST/v2/billing_providers/:id

Update a billing provider

Updates the specified billing provider object by setting the values of the parameters passed. Any other parameters not provided will not be modified.

Required attributes

    Optional attributes

    • Name
      is_organization
      Type
      boolean
      Description

      Whether this billing provider is an organization.

    • Name
      first_name
      Type
      string
      Description

      Only applies if 'is_organization' is false. First name of billing provider.

    • Name
      last_name
      Type
      string
      Description

      Only applies if 'is_organization' is false. Last name of billing provider.

    • Name
      organization_name
      Type
      string
      Description

      Only applies if 'is_organization' is true. Name of organization.

    • Name
      npi
      Type
      string
      Description

      NPI of billing provider.

    • Name
      taxonomy_code
      Type
      string
      Description

      Taxonomy code of billing provider.

    • Name
      tax_id_type
      Type
      string
      Description

      Type of tax ID.

      Possible values:
      ssn
      ein
    • Name
      tax_id
      Type
      string
      Description

      Tax ID of billing provider. Must be the same tax ID given to the payer on the IRS W-9 form completed during contracting.

    • Name
      address
      Type
      object
      Description
      Address of the billing provider.
    • Name
      phone
      Type
      string
      Description

      Phone number of billing provider, in the format (XXX) XXX-XXXX.

    • Name
      default
      Type
      boolean
      Description

      Whether this billing provider should be set as the default billing provider. Setting this to true clears the default flag on every other billing provider.

    • Name
      usable_by
      Type
      object
      Description
      Who can use this billing provider.

    Request

    POST
    /v2/billing_providers/:id
    curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/billing_providers/:id" \
      -H "Authorization: Bearer {{token}}" \
      -H "x-jwt: {{jwt}}" \
      -H "account: {{account}}" \
      -H "Content-Type: application/json" \
      --data '{}'
    

    Response

        {
          "id": "bprv_NPAxeKa32I5MbmuvKPAQ",
          "object": "billing_provider",
          "is_organization": true,
          "first_name": null,
          "last_name": null,
          "organization_name": "Avon Co, LLC",
          "npi": "1234567893",
          "taxonomy_code": "207Q00000X",
          "tax_id_type": "ein",
          "tax_id": "123456789",
          "address": {
            "line1": "1 Wall Street",
            "line2": "",
            "city": "New York",
            "state": "NY",
            "postal_code": "10001",
            "country": "US"
          },
          "phone": "(212) 555-0100",
          "default": true,
          "usable_by": {
            "usable_by_all": true
          },
          "created_by": "user_xeDpGyt67wTor93qKtS7",
          "created_at": "2024-04-10T13:20:21.724Z",
          "last_updated_at": "2024-04-10T13:20:21.724Z"
        }
    

    GET/v2/billing_providers

    List all billing providers

    Returns a list of all billing providers.

    Optional query parameters

    • Name
      patient
      Type
      string
      Description

      Only return billing providers usable for this patient.

    • Name
      default
      Type
      boolean
      Description

      Only return the default billing provider.

    • Name
      search
      Type
      string
      Description

      Free-text search on name and NPI.

    • Name
      limit
      Type
      number
      Description

      Maximum number of results to return.

    • Name
      offset
      Type
      number
      Description

      Number of results to skip.

    Request

    GET
    /v2/billing_providers
    curl "https://{{base_subdomain}}.avonhealth.com/v2/billing_providers" \
      -H "Authorization: Bearer {{token}}" \
      -H "x-jwt: {{jwt}}" \
      -H "account: {{account}}"
    

    Response

        {
          "object": "list",
          "data": [
            {
              "id": "bprv_NPAxeKa32I5MbmuvKPAQ",
              "object": "billing_provider",
              "is_organization": true,
              "first_name": null,
              "last_name": null,
              "organization_name": "Avon Co, LLC",
              "npi": "1234567893",
              "taxonomy_code": "207Q00000X",
              "tax_id_type": "ein",
              "tax_id": "123456789",
              "address": {
                "line1": "1 Wall Street",
                "line2": "",
                "city": "New York",
                "state": "NY",
                "postal_code": "10001",
                "country": "US"
              },
              "phone": "(212) 555-0100",
              "default": true,
              "usable_by": {
                "usable_by_all": true
              },
              "created_by": "user_xeDpGyt67wTor93qKtS7",
              "created_at": "2024-04-10T13:20:21.724Z",
              "last_updated_at": "2024-04-10T13:20:21.724Z"
            },
          ]
        }
    

    DELETE/v2/billing_providers/:id

    Delete a billing provider

    Deletes the specified billing provider. Fails with a 409 if the billing provider is still referenced by any insurance claim.

    Required attributes

      Optional attributes

        Request

        DELETE
        /v2/billing_providers/:id
        curl -X DELETE "https://{{base_subdomain}}.avonhealth.com/v2/billing_providers/:id" \
          -H "Authorization: Bearer {{token}}" \
          -H "x-jwt: {{jwt}}" \
          -H "account: {{account}}"
        

        Response

            {
                "id": "bprv_NPAxeKa32I5MbmuvKPAQ",
                "object": "billing_provider",
                "deleted": true
            }